package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.SystemLog;
import com.union.ai.api.dao.model.SystemLogCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SystemLogMapper {
    int countByCondition(SystemLogCondition example);

    int deleteByCondition(SystemLogCondition example);

    int deleteById(Integer id);

    int insert(SystemLog record);

    int insertSelective(SystemLog record);

    List<SystemLog> selectByCondition(SystemLogCondition example);

    SystemLog selectById(Integer id);

    int updateByConditionSelective(@Param("record") SystemLog record, @Param("example") SystemLogCondition example);

    int updateByCondition(@Param("record") SystemLog record, @Param("example") SystemLogCondition example);

    int updateByIdSelective(SystemLog record);

    int updateById(SystemLog record);
}